Page MenuHomePhabricator

Fix getLagFromPtHeartbeat() to use the pt entry for the root master, not the immediate one
Closed, ResolvedPublic

Description

The MW code for getting pt-heartbeat lag checks the row for Master_Server_Id (from the slave status), which for master => slave1 => slave2, would check for the slave1 id entry (which wouldn't even exist since only the true masters get table updates for their server IDs)

Event Timeline

aaron created this task.Nov 25 2015, 6:54 PM
aaron claimed this task.
aaron raised the priority of this task from to Needs Triage.
aaron updated the task description. (Show Details)
aaron added subscribers: Glaisher, gerritbot, jcrespo and 2 others.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 25 2015, 6:54 PM
aaron renamed this task from Fixed getLagFromPtHeartbeat() to use the pt entry for the root master, not the immediate one to Fix getLagFromPtHeartbeat() to use the pt entry for the root master, not the immediate one.Nov 25 2015, 6:58 PM
aaron removed a project: Patch-For-Review.
aaron set Security to None.
ori triaged this task as Low priority.Nov 30 2015, 7:42 PM
ori moved this task from Inbox to Backlog: Small & Maintenance on the Performance-Team board.

Change 256875 had a related patch set uploaded (by Aaron Schulz):
Make getLagFromPtHeartbeat() always use the LB cluster master entry

https://gerrit.wikimedia.org/r/256875

Change 256875 merged by jenkins-bot:
Make getLagFromPtHeartbeat() always use the LB cluster master entry

https://gerrit.wikimedia.org/r/256875

aaron closed this task as Resolved.Dec 24 2015, 12:14 AM